from abc import ABC
from dataclasses import dataclass, asdict

@dataclass
class DataSerializer(ABC):

    def asdict(self):
        return asdict(self)

    def update(self, new_dict):
        # pylint: disable=E0213
        for key, value in new_dict.items():
            setattr(self, key, value)